Package com.emc.documentum.rest.model

# Enum Class VirtualDocumentNode.CopyBehavior

java.lang.Object
java.lang.Enum<VirtualDocumentNode.CopyBehavior>
com.emc.documentum.rest.model.VirtualDocumentNode.CopyBehavior

All Implemented Interfaces:
  `Serializable`, `Comparable<VirtualDocumentNode.CopyBehavior>`, `Constable`

Enclosing class:
  VirtualDocumentNode

public static enum VirtualDocumentNode.CopyBehavior extends Enum<VirtualDocumentNode.CopyBehavior>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DUPLICATION`
  `REFERENCE`
  `UNSPECIFIED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `static VirtualDocumentNode.CopyBehavior`
  `getCopyBehavior(int code)`
  `static VirtualDocumentNode.CopyBehavior`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VirtualDocumentNode.CopyBehavior[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSPECIFIED

    public static final VirtualDocumentNode.CopyBehavior UNSPECIFIED

  - ### REFERENCE

    public static final VirtualDocumentNode.CopyBehavior REFERENCE

  - ### DUPLICATION

    public static final VirtualDocumentNode.CopyBehavior DUPLICATION

- ## Method Details

  - ### values

    public static VirtualDocumentNode.CopyBehavior[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VirtualDocumentNode.CopyBehavior valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getCopyBehavior

    public static VirtualDocumentNode.CopyBehavior getCopyBehavior(int code)